Subject: bug#48281: buffer_local_value and find_symbol_value duplicate functionality

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 02 Jul 2022 15:22:59 +0200

Stefan Monnier <[email-masked]> writes:

> So any effort to unify the two should focus on not slowing down
> `find_symbol_value`.  The fact that here are two functions is acceptable
> to me, but indeed the two code paths are uncomfortably different, so I'd
> welcome changes (including minor changes) to make them more similar, tho
> maybe the best we can do is add comments explaining why the two code
> paths give the same result.

I think the conclusion here is that it's not worth the added complexity
to merge these two functions, so I've now added a comment about this
instead.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no